List audit log entries
For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get a list of all audit log entries. The query parameters let you restrict the results that return by date ranges, resource specifiers, or a full-text search query.
LaunchDarkly uses a resource specifier syntax to name resources or collections of resources. To learn more, read About the resource specifier syntax.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/auditlog \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/auditlog"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/auditlog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/auditlog",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/auditlog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/auditlog")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/auditlog")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"_links": {},
"_id": "1234a56b7c89d012345e678f",
"_accountId": "1234a56b7c89d012345e678f",
"date": "1654104600000",
"accesses": [
{
"action": "<string>",
"resource": "<string>"
}
],
"kind": "flag",
"name": "Example feature flag",
"description": "Example, turning on the flag for testing",
"shortDescription": "Example, turning on the flag",
"comment": "This is an automated test",
"subject": {
"_links": {},
"name": "<string>",
"avatarUrl": "<string>"
},
"member": {
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"token": {
"_links": {},
"_id": "<string>",
"name": "DevOps token",
"ending": "2345",
"serviceToken": false
},
"app": {
"_links": {},
"_id": "<string>",
"isScim": true,
"name": "<string>",
"maintainerName": "<string>"
},
"titleVerb": "turned on the flag",
"title": "<string>",
"target": "[Ariel Flores](mailto:ariel@acme.com) turned on the flag [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag) in Production",
"parent": {
"_links": {},
"name": "<string>",
"resource": "<string>"
}
}
],
"_links": {}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Authorizations
Query Parameters
A timestamp filter, expressed as a Unix epoch time in milliseconds. All entries this returns occurred before the timestamp.
A timestamp filter, expressed as a Unix epoch time in milliseconds. All entries this returns occurred after the timestamp.
Text to search for. You can search for the full or partial name of the resource.
A limit on the number of audit log entries that return. Set between 1 and 20. The default is 10.
A resource specifier that lets you filter audit log listings by resource
curl --request GET \
--url https://app.launchdarkly.com/api/v2/auditlog \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/auditlog"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/auditlog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/auditlog",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/auditlog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/auditlog")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/auditlog")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"_links": {},
"_id": "1234a56b7c89d012345e678f",
"_accountId": "1234a56b7c89d012345e678f",
"date": "1654104600000",
"accesses": [
{
"action": "<string>",
"resource": "<string>"
}
],
"kind": "flag",
"name": "Example feature flag",
"description": "Example, turning on the flag for testing",
"shortDescription": "Example, turning on the flag",
"comment": "This is an automated test",
"subject": {
"_links": {},
"name": "<string>",
"avatarUrl": "<string>"
},
"member": {
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"token": {
"_links": {},
"_id": "<string>",
"name": "DevOps token",
"ending": "2345",
"serviceToken": false
},
"app": {
"_links": {},
"_id": "<string>",
"isScim": true,
"name": "<string>",
"maintainerName": "<string>"
},
"titleVerb": "turned on the flag",
"title": "<string>",
"target": "[Ariel Flores](mailto:ariel@acme.com) turned on the flag [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag) in Production",
"parent": {
"_links": {},
"name": "<string>",
"resource": "<string>"
}
}
],
"_links": {}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}